<?xml version="1.0"?>
<configuration>
    <configSections>
    </configSections>
    <connectionStrings>
        <add name="cadosys.Workflow.Services.Observation.Host.Properties.Settings.ObserverDbConnection"
            connectionString="Data Source=(local)\CADOSYS;Initial Catalog=cadosys.Workflow.Supervisor.Control;Persist Security Info=True;Integrated Security=true;" />
    </connectionStrings>

    <system.serviceModel>
        <serviceHostingEnvironment multipleSiteBindingsEnabled="true" >
        </serviceHostingEnvironment>
        <services>
            <service name="cadosys.Workflow.Admin.ObservationLayer.WorkflowObservationServiceImpl">
                <endpoint address="" binding="basicHttpBinding" bindingConfiguration="basicHttpBindingWorkflowObservation"
                          contract="cadosys.Workflow.Admin.ObservationLayer.IWorkflowObservationService">
                    <identity>
                        <dns value="localhost"/>
                    </identity>
                </endpoint>
                <endpoint address="mex" binding="mexHttpBinding" contract="IMetadataExchange"/>
                <host>
                    <baseAddresses>
                        <add baseAddress="http://localhost:8732/WorkflowObservationService/"/>
                    </baseAddresses>
                </host>
            </service>
        </services>

        <!-- binding -->
        <bindings>
            <basicHttpBinding>
                <binding name="basicHttpBindingWorkflowObservation" maxBufferSize="2147483647" maxBufferPoolSize="2147483647"
                  maxReceivedMessageSize="2147483647">
                    <readerQuotas maxStringContentLength="2147483647" maxArrayLength="2147483647" />
                </binding>
            </basicHttpBinding>
        </bindings>

        <behaviors>
            <endpointBehaviors>
                <behavior name="DefaultWebHttpBehavior">
                    <webHttp />
                </behavior>
            </endpointBehaviors>
            <serviceBehaviors>
                <behavior name="DefaultServiceBehavior">
                    <serviceMetadata httpGetEnabled="true" />
                    <serviceDebug includeExceptionDetailInFaults="true" />
                </behavior>
                <behavior name="">
                    <serviceMetadata httpGetEnabled="true" />
                    <serviceDebug includeExceptionDetailInFaults="false" />
                </behavior>
            </serviceBehaviors>
        </behaviors>
    </system.serviceModel>
    <appSettings>
        <add key ="Workflow" value="1"/>
        <add key="ServerCertHash" value="EE19FEF25B1865CE2EBB45A207F35E1D28925129"/>
    </appSettings>
    <startup>
        <supportedRuntime version="v4.0" sku=".NETFramework,Version=v4.0"/>
    </startup>
    <runtime>
        <loadFromRemoteSources enabled="true"/>
    </runtime>
</configuration>
